Barcode
GET https://qrcloud.online/api/barcodes/
curl --request GET \
--url 'https://qrcloud.online/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Rincian | Deskripsi |
|---|---|---|
| search | Opsional String | Kata kunci pencarian. |
| search_by | Opsional String | Di bidang apa Anda sedang mencari. Nilai yang diperbolehkan adalah: name, value. |
| type | Opsional String | Nilai-nilai yang diizinkan: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| datetime_field | Opsional String | Nilai-nilai yang diizinkan: datetime, last_datetime |
| datetime_start | Opsional String | Saring hasil mulai dari datetime ini. Format Y-m-d H:i:s. |
| datetime_end | Opsional String | Filter hasil hingga tanggal dan waktu ini. Format Y-m-d H:i:s. |
| order_by | Opsional String | Bidang apa yang akan diurutkan hasilnya berdasarkan. Nilai-nilai yang diperbolehkan adalah: barcode_id, datetime, last_datetime, name, type. |
| order_type | Opsional String | Urutan hasil. Nilai-nilai yang diperbolehkan adalah: ASC untuk pengurutan menaik, dan DESC untuk pengurutan menurun. |
| page | Opsional Integer | Nomor halaman yang Anda inginkan hasilnya dari. Default ke 1. |
| results_per_page | Opsional Integer | Berapa hasil yang Anda inginkan per halaman. Nilai yang diizinkan adalah: 10, 25, 50, 100, 250, 500, 1000. Default adalah 25. |
{
"data": [
{
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcloud.online/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-05-20 05:32:44",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/barcodes?page=1",
"last": "https://qrcloud.online/api/barcodes?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/barcodes?page=1"
}
}
GET https://qrcloud.online/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcloud.online/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-05-20 05:32:44",
}
}
POST https://qrcloud.online/api/barcodes
| Parameter | Rincian | Deskripsi |
|---|---|---|
| project_id | Opsional Integer | - |
| name | Dibutuhkan String | - |
| type | Dibutuhkan String | Nilai-nilai yang diizinkan: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| is_bulk | Opsional Boolean | |
| value | Dibutuhkan String | - |
| display_text | Opsional Boolean | - |
| foreground_color | Opsional String | - |
| background_color | Opsional String | - |
| width_scale | Opsional Integer | 1-10 |
| height | Opsional Integer | 30-1000 |
| Parameter | Rincian | Deskripsi |
|---|---|---|
curl --request POST \
--url 'https://qrcloud.online/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qrcloud.online/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/barcodes/{barcode_id}
| Parameter | Rincian | Deskripsi |
|---|---|---|
| project_id | Opsional String | - |
| name | Opsional String | - |
| type | Opsional String | Nilai-nilai yang diizinkan: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| value | Dibutuhkan String | - |
| display_text | Opsional Boolean | - |
| foreground_color | Opsional String | - |
| background_color | Opsional String | - |
| width_scale | Opsional Integer | 1-10 |
| height | Opsional Integer | 30-1000 |
curl --request POST \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \